<div class="container relative screen-pt-50 pt-5">
    <a routerLink="/" class="back-arrow"><i class="fa fa-arrow-circle-left" style="font-size: 30px;    display: block;margin-top: 10px;z-index: 100 !important;"></i></a>
    <div class="row">
        <div class="col-md-12 sign-12">
            <div class="sign-in-body" style="margin-top: -60px;">
                <img class="mb-1" src="./assets/build/img/logo/logo-1.png" alt="logo-1">
                <form class="sign-form2" [formGroup]="registerform" (ngSubmit)="register()">
                    <h3 class=""><b>Compte du vendeur</b></h3><br>
                    <h4><b>Créer un compte</b></h4>

                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label w-100">Votre nom</label>
                        <input type="text" class="form-control" id="name" name="name" required formControlName="fullname">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('fullname')?.touched && registerform.get('fullname')?.hasError('required')">
                        <h4> <b>Le nom est requis</b></h4>
                    </div>
                    <div class="mb-3 ">
                        <label for="email" class="form-label">Adresse e-mail</label>
                        <input type="text" class="form-control" required id="email" placeholder="" name="email" formControlName="email">
                        <!-- <input type="text" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }" />
                      <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                          <div *ngIf="f.email.errors.required">Email is required</div>
                          <div *ngIf="f.email.errors.email">Email must be a valid email address</div> -->
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('email')?.touched && registerform.get('email')?.hasError('required')">
                        <h4> <b>L'email est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('email')?.touched && registerform.get('email')?.hasError('pattern')">

                        <h4> <b> L'adresse électronique doit être valide</b></h4>
                    </div>
                    <div class="mb-3 ">
                        <label for="email" class="form-label">Numéro de téléphone portable</label>
                        <div style="display: flex; align-items: center;">
                            <select formControlName="countrycode" class="form-select" style="width: 90px" [(ngModel)]='nrSelect' (change)="selectCounrtyCode($event)">
                            <option *ngFor="let code of countries" value="{{code.code}}" [selected]="true">{{code.code}}</option>
                     </select>
                            <input type="text" class="form-control" required id="phone" placeholder="" formControlName="phone" style="margin:4px" name="phone">
                        </div>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('countrycode')?.touched && registerform.get('countrycode')?.hasError('required')">
                        <h4> <b> Sélectionner le code pays</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('phone')?.touched && registerform.get('phone')?.hasError('required')">
                        <h4> <b> Le numéro de téléphone est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('phone')?.touched && registerform.get('phone')?.hasError('pattern')">

                        <h4> <b> Entrer un numéro de téléphone valide</b></h4>
                    </div>

                    <div class="mb-3 ">
                        <label for="password" class="form-label">Mot de passe</label>
                        <input class="form-control" id="pass" placeholder="" name="password" formControlName="password" required [type]="changetype?'text':'password' ">
                        <span class="mini-c">(Minimum 8 caractères)</span>

                        <span toggle="#password-field" id="passwordicon" (click)="viewpass()" [ngClass]="visible?'fa fa-eye':'fa fa-eye-slash' "></span>


                    </div>
                    <div class="errormsg" *ngIf="registerform.get('password')?.touched && registerform.get('password')?.hasError('required')">
                        <h4> <b> Le mot de passe est requis</b></h4>

                    </div>
                    <div class="errormsg" *ngIf="registerform.get('password')?.touched && registerform.get('password')?.hasError('minlength')">
                        <h4> <b> Un minimum de 8 personnages est requis</b></h4>

                    </div>
                    <div class="mb-3">
                        <label for="password1" class="form-label">Confirmer le mot de passe</label>
                        <input type="password" class="form-control" id="pass" placeholder="" required name="password1" formControlName="password2" (blur)="confirmpassword()">


                    </div>
                    <div class="errormsg" *ngIf="registerform.get('password2')?.touched && registerform.get('password2')?.hasError('required')">
                        <h4> <b> Le mot de passe ne correspond pas</b></h4>
                    </div>

                    <div class="errormsg" [hidden]="confirm">
                        <h4> <b> Le mot de passe ne correspond pas</b></h4>

                    </div><br>
                    <label><input type="checkbox" (change)="termandconditions($event)"> &nbsp; En créant un compte vous
                  acceptez les <a style="color: orange !important;cursor: pointer;font-weight: bold;"
                  data-bs-toggle="modal" data-bs-target="#myModal">
                     Conditions générales</a> de vente O'Black.</label>
                    <div class="errormsg" *ngIf="termsandconditions ==  false" [hidden]="showtandc">
                        <br>
                        <h4> <b>{{ termsandconditionserror }}</b></h4>
                    </div><br>
                    <button type="submit" class="btn btn-signs" [disabled]="regdis"><b>Continuer  <i class="fa fa-spinner fa-spin" *ngIf="loading"></i> </b></button><br><br>
                    <div class="comeBack_up" *ngIf="fulldata">
                        <div *ngIf="fulldata.status == false; else loggedOut">
                            <div class="alert alert-danger"><strong>{{ fulldata.errmessage }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <div class="alert alert-success"><strong>{{ fulldata.message }}</strong></div>
                        </ng-template>
                    </div><br>
                    <p>Vous avez deja un compte?<a routerLink="/login" style="color:orange !important"> Me connecter</a> </p>
                    <br>








                </form>
            </div>
        </div>
    </div>
</div>

<br><br>
<footer class="footer-3 fotr-1 d-none d-sm-none d-md-block d-lg-block" style="margin-top: -30px;">
    <div class="container">
        <div class="row">
            <div class="col-md-12 text-center">
                <ul class="fottr-ul-22">
                    <li><a routerLink="/termsandconditions" class="">Conditions d'utilisation</a></li>
                    <li><a routerLink="/your_personal" class="">Protection de vos informations personnelles</a></li>
                    <li><a routerLink="/contact_us" class="">Contact</a></li>

                </ul>
                <p class="footr-p-botm">© O'Black </p>
            </div>
        </div>
    </div>
</footer>

<div class="modal" id="myModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <!-- <h4 class="modal-title">Modal Heading</h4> -->
                <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                <app-tandc></app-tandc>
            </div>

            <!-- Modal footer -->
            <!-- <div class="modal-footer">
         <button type="button" class="btn btn-danger" data-bs-dismiss="modal">Close</button>
       </div> -->

        </div>
    </div>
</div>